YOM Docs

Categories

Once your Products are uploaded, it is important to categorize them.

What are categories? Categories in YOM organize Products into logical groups, making navigation and inventory management easier.

There are Parent Categories, which can have Child Categories, allowing a simple one-level hierarchical structure.

These Categories are represented by the Category entity. A Category contains the information for each group of Products, including its name, description, and relationships with other Products.

Endpoint

The Categories endpoint lets YOM access detailed information about each registered Category.

GET /api/categories

FILE <fecha>_<hora>_category.csv

Fields

Field Type Requirement Description Examples
categoryId 📝 Text 🟢 Required The unique key that identifies the Category.
*Must contain only alphanumeric characters. "harinas"
name 📝 Text 🟢 Required Name that will be displayed for the Category of the Product. It must be recognizable by users. "Harinas"
parentCategoryId 📝 Text ⚪ Optional The unique key of the parent Category.
*Must be the categoryId of an existing category.
*Will be empty for parent Categories. "alimentos"
description 📝 Text ⚪ Optional Description of the Category. "Productos de harina disponibles en la tienda."
tags 🔡 Text list 🟢 Required List of strings to link Categories with Products.
Allows having keys optional for the same Category.
*If used to categorize products, they must match the tags of Product. ["harinas", "orgánico", "integral", "ecológico"]
priority 🔢 Number ⚪ Optional Order in which they are displayed in the B2B. 1
isInactive 🔘 Bool ⚪ Optional Is the Category disabled? true
false

Response

The Categories endpoint response returns a JSON containing detailed information about each category registered in YOM, including name, description, hierarchy relationships, and other details.

Response example

{
  "categoryId": "harinas",
  "name": "Harinas",
  "parentCategoryId": "Alimentos",
  "description": "Productos de harina disponibles en la tienda.",
  "tags": ["harinas", "orgánico", "integral", "ecológico"],
  "isInactive": true,
  "priority": 1
}

With this format, you can manage your product categories in YOM efficiently and in an organized way.